Subject: bug#18636: 24.4.50; doc of `display-monitor-attributes-list' - DISPLAY? FRAME?

From: Drew Adams <[email-masked]>
Date: Wed, 8 Oct 2014 06:20:49 -0700 (PDT)

> > > > Is the argument of `display-monitor-attributes-list' a
> > > > display or a frame?
> > >
> > > It can be either.
> > OK.  Then the doc should say so.
> Done on the emacs-24 branch (revision 117559).

Thanks.

> > And it should call out the
> > relation between the two.  For example, if a frame is passed
> > and its display is used (= its `display' frame parameter),
> > then say so.
> 
> That's not what happens, though.  Each function extracts the info it
> needs from whatever kind of argument it is passed, and then uses
> that info.

I said, "For example". Whatever the actual relation between the
two is, it should be described.  (Descriptions like "the information
it needs" and "that info" are OK for here, but would not be helpful
in the doc string.)

> Done.
> Done.
> Done.
> I fixed the markup.
> Done, and also improved the description of the X form.
> Done.

Thx * 6.

> I'm closing this bug.

Great. Thanks. (Haven't seen the result yet, but I'm sure it's good.)